%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define srcname TPG

Name:           python-tpg
Version:        3.1.2
Release:        10%{?dist}

Summary:        A Python "toy parser generator"
Group:          Development/Libraries
License:        LGPLv2+
URL:            http://christophe.delord.free.fr/tpg/index.html
Source0:        http://christophe.delord.free.fr/tpg/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel

%description
Toy Parser Generator is a lexical and syntactic parser generator
for Python. This generator was born from a simple statement: YACC
is to complex to use in simple cases (calculators, configuration
files, small programming languages, ...).

TPG can very simply write parsers that are usefull for most every
day needs (even if it can't make your coffee). With a very clear
and simple syntax, you can write an attributed grammar that is
translated into a recursive descendant parser. TPG generated code
is very closed to the original grammar. This means that the parser
works "like" the grammar. A grammar rule can be seen as a method
of the parser class, symbols as method calls, attributes as method
parameters and semantic values as return values. You can also add
Python code directly into grammar rules and build abstract syntax
trees while parsing.


%prep
%setup -q -n %{srcname}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README doc THANKS ChangeLog License.txt
%{_bindir}/tpg
%{python_sitelib}/tpg.py
%{python_sitelib}/tpg.pyc
%{python_sitelib}/tpg.pyo
%{python_sitelib}/TPG-%{version}-py*.egg-info

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 3.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Aug 10 2009 Adam Miller <maxamillion [AT] gmail.com> - 3.1.2-6
- Fixed source0 as per https://www.redhat.com/archives/fedora-devel-list/2009-August/msg00591.html

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.1.2-3
- Rebuild for Python 2.6

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3.1.2-2
- drop ancient API Requires

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3.1.2-1
- fix license tag
- update to 3.1.2

* Sat Dec 23 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 3.1.0-4
- Rebuild with Python 2.5

* Sat Sep 16 2006 Shahms E. King <shahms@shahms.com> 3.1.0-3
- rebuild for FC6

* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 3.1.0-2
- Include, don't ghost .pyo files per new guidelines

* Tue Aug 08 2006 Shahms E. King <shahms@shahms.com> 3.1.0-1
- update to upstream 3.1.0

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 3.0.6-2
- rebuild for FC5

* Mon Jan 30 2006 Shahms E. King <shahms@shahms.com> 3.0.6-1
- update to upstream 3.0.6

* Thu May 12 2005 Shahms E. King <shahms@shahms.com> 3.0.5-4
- rebuilt, add dist tag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Mar 21 2005 Shahms E. King <shahms@shahms.com> 3.0.5-2 -
- Remove unsued python_sitearch define

* Tue Mar 01 2005 Shahms E. King <shahms@shahms.com> 3.0.5-1 -
- Update to 3.0.5
- Clean up spec file
